<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="entityFramework" type="System.Data.Entity.Internal.ConfigFile.EntityFrameworkSection, EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
    <!-- For more information on Entity Framework configuration, visit http://go.microsoft.com/fwlink/?LinkID=237468 -->
  </configSections>
  <connectionStrings>
    <add name="conexionn" connectionString="Data Source=192.168.234.24\PROVEEDORESBCD; Initial Catalog=CONCILIACIONES; User ID =sa; Password=sql14.@iko18**;MultipleActiveResultSets=true;Connection Timeout=999999;" providerName="System.Data.sqlClient" />
    <add name="DBPROVEEDORES" connectionString="Data Source=192.168.234.24\PROVEEDORESBCD; Initial Catalog=VXML; User ID =sa; Password=sql14.@iko18**;MultipleActiveResultSets=true;Connection Timeout=999999;" providerName="System.Data.sqlClient" />
    <add name="DBSAT" connectionString="Data Source=192.168.234.24\PROVEEDORESBCD; Initial Catalog=XML_SAT; User ID =sa; Password=sql14.@iko18**;MultipleActiveResultSets=true;Connection Timeout=999999;" providerName="System.Data.sqlClient" />
    <add name="conexionmysql" connectionString="Data Source=localhost;Database=descfdimayo;User ID=root; Password=; Allow Zero Datetime=True; CHARSET=latin1" providerName="System.Data.mysqlClient" />
  <add name="EncFacturasEntities" connectionString="data source=192.168.234.24\PROVEEDORESBCD;initial catalog=XML_SAT;user id=sa;password=sql14.@iko18**;MultipleActiveResultSets=True;App=EntityFramework" providerName="System.Data.SqlClient" />
    <add name="PerfilesEntities" connectionString="metadata=res://*/PerfilesEntities.csdl|res://*/PerfilesEntities.ssdl|res://*/PerfilesEntities.msl;provider=System.Data.SqlClient;provider connection string=&quot;data source=192.168.234.24\PROVEEDORESBCD;initial catalog=CONCILIACIONES;user id=sa;password=sql14.@iko18**;MultipleActiveResultSets=True;Connection Timeout=999999;App=EntityFramework&quot;" providerName="System.Data.EntityClient" />
    <add name="TPRep" connectionString="metadata=res://*/TPRep.csdl|res://*/TPRep.ssdl|res://*/TPRep.msl;provider=System.Data.SqlClient;provider connection string=&quot;data source=192.168.234.24\PROVEEDORESBCD;initial catalog=CONCILIACIONES;user id=sa;password=sql14.@iko18**;MultipleActiveResultSets=True;Connection Timeout=999999;;App=EntityFramework&quot;" providerName="System.Data.EntityClient" />
    <add name="GastosRep" connectionString="metadata=res://*/GastosRep.csdl|res://*/GastosRep.ssdl|res://*/GastosRep.msl;provider=System.Data.SqlClient;provider connection string=&quot;data source=192.168.234.24\PROVEEDORESBCD;initial catalog=VXML;user id=sa;password=sql14.@iko18**;MultipleActiveResultSets=True;Connection Timeout=999999;App=EntityFramework&quot;" providerName="System.Data.EntityClient" />
    <add name="Facturas" connectionString="metadata=res://*/Facturas.csdl|res://*/Facturas.ssdl|res://*/Facturas.msl;provider=System.Data.SqlClient;provider connection string=&quot;data source=192.168.234.24\PROVEEDORESBCD;initial catalog=XML_SAT;user id=sa;password=sql14.@iko18**;MultipleActiveResultSets=True;Connection Timeout=999999;App=EntityFramework&quot;" providerName="System.Data.EntityClient" /></connectionStrings>
  <system.diagnostics>
    <sources>
      <!-- En esta sección se define la configuración del registro para My.Application.Log -->
      <source name="DefaultSource" switchName="DefaultSwitch">
        <listeners>
          <add name="FileLog" />
          <!-- Quite los comentarios de la sección posterior para escribir en el registro de eventos de la aplicación -->
          <!--<add name="EventLog"/>-->
        </listeners>
      </source>
    </sources>
    <switches>
      <add name="DefaultSwitch" value="Information" />
    </switches>
    <sharedListeners>
      <add name="FileLog" type="Microsoft.VisualBasic.Logging.FileLogTraceListener, Microsoft.VisualBasic, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" initializeData="FileLogWriter" />
      <!-- Quite los comentarios de la sección posterior y reemplace APPLICATION_NAME con el nombre de su aplicación para escribir en el registro de sucesos de la aplicación -->
      <!--<add name="EventLog" type="System.Diagnostics.EventLogTraceListener" initializeData="APPLICATION_NAME"/> -->
    </sharedListeners>
  </system.diagnostics>
  <system.serviceModel>
    <bindings>
      <wsHttpBinding>
        <binding name="WSHttpBinding_ISCuponHotel" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00" bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard" maxBufferPoolSize="524288" maxReceivedMessageSize="65536" messageEncoding="Text" textEncoding="utf-8" useDefaultWebProxy="true" allowCookies="false">
          <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384" maxBytesPerRead="4096" maxNameTableCharCount="16384" />
          <reliableSession ordered="true" inactivityTimeout="00:10:00" enabled="false" />
          <security mode="None">
            <transport clientCredentialType="Windows" proxyCredentialType="None" realm="" />
            <!--<extendedProtectionPolicy policyEnforcement="Never" />-->
            <!--</transport>-->
            <message clientCredentialType="Windows" negotiateServiceCredential="true" establishSecurityContext="true" />
          </security>
        </binding>
      </wsHttpBinding>
    </bindings>
  </system.serviceModel>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5.2" />
  </startup>
  <system.data>
    <DbProviderFactories>
      <remove invariant="MySql.Data.MySqlClient" />
      <add name="MySQL Data Provider" invariant="MySql.Data.MySqlClient" description=".Net Framework Data Provider for MySQL" type="MySql.Data.MySqlClient.MySqlClientFactory, MySql.Data, Version=6.7.9.0, Culture=neutral, PublicKeyToken=c5687fc88969c44d" />
    </DbProviderFactories>
  </system.data>
  <entityFramework>
    <defaultConnectionFactory type="System.Data.Entity.Infrastructure.LocalDbConnectionFactory, EntityFramework">
      <parameters>
        <parameter value="mssqllocaldb" />
      </parameters>
    </defaultConnectionFactory>
    <providers>
      <provider invariantName="System.Data.SqlClient" type="System.Data.Entity.SqlServer.SqlProviderServices, EntityFramework.SqlServer" />
    </providers>
  </entityFramework>
  <runtime>
    <enforceFIPSPolicy enabled="false" />
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="BouncyCastle.Crypto" publicKeyToken="0e99375e54769942" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-1.8.1.0" newVersion="1.8.1.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.ValueTuple" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.3.0" newVersion="4.0.3.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
</configuration>
